diff --git a/src/backend/replication/slotfuncs.c b/src/backend/replication/slotfuncs.c
index 1f1c56cc21..5387608ba0 100644
--- a/src/backend/replication/slotfuncs.c
+++ b/src/backend/replication/slotfuncs.c
@@ -119,7 +119,7 @@ pg_create_logical_replication_slot(PG_FUNCTION_ARGS)
 
 	/*
 	 * Acquire a logical decoding slot, this will check for conflicting names.
-	 * Initially create persisent slot as ephemeral - that allows us to nicely
+	 * Initially create persistent slot as ephemeral - that allows us to nicely
 	 * handle errors during initialization because it'll get dropped if this
 	 * transaction fails. We'll make it persistent at the end.
 	 * Temporary slots can be created as temporary from beginning as they get
diff --git a/src/backend/replication/walsender.c b/src/backend/replication/walsender.c
index b14d82153a..d80bcc00a1 100644
--- a/src/backend/replication/walsender.c
+++ b/src/backend/replication/walsender.c
@@ -806,7 +806,7 @@ CreateReplicationSlot(CreateReplicationSlotCmd *cmd)
 		CheckLogicalDecodingRequirements();
 
 		/*
-		 * Initially create persisent slot as ephemeral - that allows us to
+		 * Initially create persistent slot as ephemeral - that allows us to
 		 * nicely handle errors during initialization because it'll get
 		 * dropped if this transaction fails. We'll make it persistent at the
 		 * end. Temporary slots can be created as temporary from beginning as
